%% 注释告知:每行只有一个错误,修改错误并注释错误原因,不允许修改变量名和程序逻辑结构 
%%m文件不能以数字下划线开头
clc
clear
A=6;                      %%使用了中文的"，"                      
B=[1,2;3,4;5,6;];         %%使用了中文"；"
C=[6,5;4,3;2,1;];          %% C为三行两列的数组 6,5后加";"
D=[16 16 18
   16 16 18
   16 16 18];

TEMP1=[A A; A A; A A;]/3;
TEMP2=D(:,1:2);            %% 取出D的前两列
TEMP3=TEMP2./TEMP1;         %% 让TEMP2和TEMP1对应元素相除 /前少一个.

E=TEMP3-(B+C);            %%使用了中文的（

I=sum(sum(E));              %% 把E全部元素求和 少一个右括号）

while I>0 
    if I==3 || I==2          %% I为2和3的时候才执行下面的for循环  少一个|与= ，逻辑或为||消除了警报
        for i=1:3
            disp('命令行中有且只有这句话6次才表示你对了');  %%  显示“命令行中有且只有这句话6次才表示你对了”这句话 少一个'
        end
     end
    I=I-1;                 %% while函数的计数和判断变量I减去1
end                    %%少一个与while对应的end




